Webhook Events

Webhook Events endpoints for the POS API Unified API

10.24.28
Run In Postman
|Full reference

Order Created
WebhookUpcoming

Event broadcast when an order has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.order.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Order Updated
WebhookUpcoming

Event broadcast when an order has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.order.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Order Deleted
WebhookUpcoming

Event broadcast when an order has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.order.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Payment Created
Webhook

Event broadcast when a payment has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.payment.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/payments/123456ASDF",
    "entity_type": "payment",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Payment Updated
Webhook

Event broadcast when a payment has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.payment.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/payments/123456ASDF",
    "entity_type": "payment",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Payment Deleted
Webhook

Event broadcast when a payment has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.payment.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/payments/123456ASDF",
    "entity_type": "payment",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Merchant Created
Webhook

Event broadcast when a merchant has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.merchant.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/merchants/123456ASDF",
    "entity_type": "merchant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Merchant Updated
Webhook

Event broadcast when a merchant has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.merchant.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/merchants/123456ASDF",
    "entity_type": "merchant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Merchant Deleted
Webhook

Event broadcast when a merchant has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.merchant.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/merchants/123456ASDF",
    "entity_type": "merchant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Location Created
Webhook

Event broadcast when a location has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.location.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/locations/123456ASDF",
    "entity_type": "location",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Location Updated
Webhook

Event broadcast when a location has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.location.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/locations/123456ASDF",
    "entity_type": "location",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Location Deleted
Webhook

Event broadcast when a location has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.location.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/locations/123456ASDF",
    "entity_type": "location",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Item Created
Webhook

Event broadcast when an item has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.item.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/items/123456ASDF",
    "entity_type": "item",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Item Deleted
Webhook

Event broadcast when an item has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.item.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/items/123456ASDF",
    "entity_type": "item",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Item Updated
Webhook

Event broadcast when an item has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.item.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/items/123456ASDF",
    "entity_type": "item",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Created
Webhook

Event broadcast when a modifier has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifiers/123456ASDF",
    "entity_type": "modifier",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Updated
Webhook

Event broadcast when a modifier has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifiers/123456ASDF",
    "entity_type": "modifier",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Deleted
Webhook

Event broadcast when a modifier has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifiers/123456ASDF",
    "entity_type": "modifier",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Group Deleted
Webhook

Event broadcast when a modifier has been group deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier_group.deleted",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifier_groups/123456ASDF",
    "entity_type": "modifier_group",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Group Created
Webhook

Event broadcast when a modifier has been group created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier_group.created",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifier_groups/123456ASDF",
    "entity_type": "modifier_group",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Modifier Group Updated
Webhook

Event broadcast when a modifier has been group updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Example Event

Payload
{
  "payload": {
    "event_type": "pos.modifier_group.updated",
    "unified_api": "pos",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/pos/modifier_groups/123456ASDF",
    "entity_type": "modifier_group",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}